;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Package: cl-user -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          loader.lisp
;;;; Purpose:       loads any required modules, contains RUN function
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Sep 2003
;;;;
;;;; $Id: xlunit.asd 7061 2003-09-07 06:34:45Z kevin $
;;;; *************************************************************************

(in-package :cl-user)

;;; Nothing to load since the executable contains all of the required
;;; fasls


(defun run ()
  (handler-case
      (funcall #'vcs-tree::main (list* "vcs-tree" (cdr *posix-argv*)))
    (error (c)
      (format *error-output* "vcs-tree failed due to error:~%  ~A~%" c)
      (sb-ext:quit :unix-status 1))))
